Class NodeRulesRelation

    • Constructor Detail

      • NodeRulesRelation

        public NodeRulesRelation()
    • Method Detail

      • afterPropertiesSet

        public void afterPropertiesSet()
                                throws Exception
        Specified by:
        afterPropertiesSet in interface org.springframework.beans.factory.InitializingBean
        Throws:
        Exception
      • readAll

        public CollectionWithPagingInfo<Rule> readAll​(String folderNodeId,
                                                      Parameters parameters)
        List folder rules for given folder node's and rule set's IDs as a page. - GET /nodes/{folderNodeId}/rule-sets/{ruleSetId}/rules
        Specified by:
        readAll in interface RelationshipResourceAction.Read<Rule>
        Parameters:
        folderNodeId - - entity resource context for this relationship
        parameters - - will never be null. Contains i.a. paging information and ruleSetId (relationshipId)
        Returns:
        CollectionWithPagingInfo containing a page of folder rules
      • create

        public List<Rule> create​(String folderNodeId,
                                 List<Rule> ruleList,
                                 Parameters parameters)
        Create one or more rules inside a given folder and rule set.
        Specified by:
        create in interface RelationshipResourceAction.Create<Rule>
        Parameters:
        folderNodeId - The folder in which to create the rule.
        ruleList - The list of rules to create.
        parameters - List of parameters including the rule set id as the relationship.
        Returns:
        The newly created rules.
      • setRules

        public void setRules​(Rules rules)
      • delete

        public void delete​(String folderNodeId,
                           String ruleSetId,
                           Parameters parameters)
        Delete single folder rule for given node's, rule set's and rule's IDs. - DELETE /nodes/{folderNodeId}/rule-sets/{ruleSetId}/rules/{ruleId}
        Specified by:
        delete in interface RelationshipResourceAction.Delete
        Parameters:
        folderNodeId - - entity resource context for this relationship
        ruleSetId - - rule set node ID (associated with folder node)
        parameters - - Should not be null. Should contain at least ruleId (relationship2Id)
        Throws:
        RelationshipResourceNotFoundException - in case resource was not found